import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;

static changePlanks as IIngredient[IItemStack] = {
	<redwoods:redwood_planks> :  <redwoods:redwood_log_quarter>,
	<redwoods:fir_planks> :  <redwoods:fir_log_quarter>,
	<twilightforest:twilight_oak_planks> : <twilightforest:twilight_log>,
	<twilightforest:canopy_planks> : <twilightforest:twilight_log:1>,
	<twilightforest:mangrove_planks> : <twilightforest:twilight_log:2>,
	<twilightforest:dark_planks> : <twilightforest:twilight_log:3>,
	<twilightforest:time_planks> : <twilightforest:magic_log>,
	<twilightforest:trans_planks> : <twilightforest:magic_log:1>,
	<twilightforest:mine_planks> : <twilightforest:magic_log:2>,
	<twilightforest:sort_planks> : <twilightforest:magic_log:3>,
	<traverse:fir_planks> : <traverse:fir_log>,
	<forestry:planks.0> : <forestry:logs.0>,
	<forestry:planks.0:1> : <forestry:logs.0:1>,
	<forestry:planks.0:2> : <forestry:logs.0:2>,
	<forestry:planks.0:3> : <forestry:logs.0:3>,
	<forestry:planks.0:4> : <forestry:logs.1:0>,
	<forestry:planks.0:5> : <forestry:logs.1:1>,
	<forestry:planks.0:6> : <forestry:logs.1:2>,
	<forestry:planks.0:7> : <forestry:logs.1:3>,
	<forestry:planks.0:8> : <forestry:logs.2:0>,
	<forestry:planks.0:9> : <forestry:logs.2:1>,
	<forestry:planks.0:10> : <forestry:logs.2:2>,
	<forestry:planks.0:11> : <forestry:logs.2:3>,
	<forestry:planks.0:12> : <forestry:logs.3:0>,
	<forestry:planks.0:13> : <forestry:logs.3:1>,
	<forestry:planks.0:14> : <forestry:logs.3:2>,
	<forestry:planks.0:15> : <forestry:logs.3:3>,
	<forestry:planks.1> : <forestry:logs.4>,
	<forestry:planks.1:1> : <forestry:logs.4:1>,
	<forestry:planks.1:2> : <forestry:logs.4:2>,
	<forestry:planks.1:3> : <forestry:logs.4:3>,
	<forestry:planks.1:4> : <forestry:logs.5:0>,
	<forestry:planks.1:5> : <forestry:logs.5:1>,
	<forestry:planks.1:6> : <forestry:logs.5:2>,
	<forestry:planks.1:7> : <forestry:logs.5:3>,
	<forestry:planks.1:8> : <forestry:logs.6:0>,
	<forestry:planks.1:9> : <forestry:logs.6:1>,
	<forestry:planks.1:10> : <forestry:logs.6:2>,
	<forestry:planks.1:11> : <forestry:logs.6:3>,
	<forestry:planks.1:12> : <forestry:logs.7:0>,
	<forestry:planks.fireproof.0> : <forestry:logs.fireproof.0>,
	<forestry:planks.fireproof.0:1> : <forestry:logs.fireproof.0:1>,
	<forestry:planks.fireproof.0:2> : <forestry:logs.fireproof.0:2>,
	<forestry:planks.fireproof.0:3> : <forestry:logs.fireproof.0:3>,
	<forestry:planks.fireproof.0:4> : <forestry:logs.fireproof.1:0>,
	<forestry:planks.fireproof.0:5> : <forestry:logs.fireproof.1:1>,
	<forestry:planks.fireproof.0:6> : <forestry:logs.fireproof.1:2>,
	<forestry:planks.fireproof.0:7> : <forestry:logs.fireproof.1:3>,
	<forestry:planks.fireproof.0:8> : <forestry:logs.fireproof.2:0>,
	<forestry:planks.fireproof.0:9> : <forestry:logs.fireproof.2:1>,
	<forestry:planks.fireproof.0:10> : <forestry:logs.fireproof.2:2>,
	<forestry:planks.fireproof.0:11> : <forestry:logs.fireproof.2:3>,
	<forestry:planks.fireproof.0:12> : <forestry:logs.fireproof.3:0>,
	<forestry:planks.fireproof.0:13> : <forestry:logs.fireproof.3:1>,
	<forestry:planks.fireproof.0:14> : <forestry:logs.fireproof.3:2>,
	<forestry:planks.fireproof.0:15> : <forestry:logs.fireproof.3:3>,
	<forestry:planks.fireproof.1> : <forestry:logs.fireproof.4>,
	<forestry:planks.fireproof.1:1> : <forestry:logs.fireproof.4:1>,
	<forestry:planks.fireproof.1:2> : <forestry:logs.fireproof.4:2>,
	<forestry:planks.fireproof.1:3> : <forestry:logs.fireproof.4:3>,
	<forestry:planks.fireproof.1:4> : <forestry:logs.fireproof.5:0>,
	<forestry:planks.fireproof.1:5> : <forestry:logs.fireproof.5:1>,
	<forestry:planks.fireproof.1:6> : <forestry:logs.fireproof.5:2>,
	<forestry:planks.fireproof.1:7> : <forestry:logs.fireproof.5:3>,
	<forestry:planks.fireproof.1:8> : <forestry:logs.fireproof.6:0>,
	<forestry:planks.fireproof.1:9> : <forestry:logs.fireproof.6:1>,
	<forestry:planks.fireproof.1:10> : <forestry:logs.fireproof.6:2>,
	<forestry:planks.fireproof.1:11> : <forestry:logs.fireproof.6:3>,
	<forestry:planks.fireproof.1:12> : <forestry:logs.fireproof.7:0>,
	<forestry:planks.vanilla.fireproof.0> : <forestry:logs.vanilla.fireproof.0>,
	<forestry:planks.vanilla.fireproof.0:1> : <forestry:logs.vanilla.fireproof.0:1>,
	<forestry:planks.vanilla.fireproof.0:2> : <forestry:logs.vanilla.fireproof.0:2>,
	<forestry:planks.vanilla.fireproof.0:3> : <forestry:logs.vanilla.fireproof.0:3>,
	<forestry:planks.vanilla.fireproof.0:4> : <forestry:logs.vanilla.fireproof.1:0>,
	<forestry:planks.vanilla.fireproof.0:5> : <forestry:logs.vanilla.fireproof.1:1>
};

for output, input in changePlanks {
	recipes.removeShapeless(output, [input]);
}
recipes.removeByRecipeName("thebetweenlands:weedwood_planks");
recipes.removeByRecipeName("thebetweenlands:rubber_tree_planks");
recipes.removeByRecipeName("thebetweenlands:giant_root_planks");
recipes.removeByRecipeName("thebetweenlands:hearthgrove_planks");
recipes.removeByRecipeName("thebetweenlands:nibbletwig_planks");
recipes.removeByRecipeName("redwoods:fir_planks");
recipes.removeByRecipeName("redwoods:redwood_planks");
recipes.removeByRecipeName("redwoods:redwood_boat");
recipes.removeByRecipeName("redwoods:fir_boat");
recipes.removeByRecipeName("traverse:fir_boat");